org.apache.http.nio.pool

## Interface NIOConnFactory<T,C>

Type Parameters:
  `T` - the route type that represents the opposite endpoint of a pooled connection.
  `C` - the connection type.

All Known Implementing Classes:
  BasicNIOConnFactory

    public interface NIOConnFactory<T,C>

Factory for poolable non-blocking connections.

Since:
  4.2

### Method Summary

Methods
`C` `create(T route, IOSession session)`

### Method Detail

#### create

    C create(T route,
           IOSession session)
             throws IOException

Throws:
  `IOException`